## UIM Get File Attributes request UIM Get File Attributes request |

## Functions

QmiMessageUimGetFileAttributesInput * | qmi_message_uim_get_file_attributes_input_new ()
QmiMessageUimGetFileAttributesInput * | qmi_message_uim_get_file_attributes_input_ref ()
void | qmi_message_uim_get_file_attributes_input_unref ()
gboolean | qmi_message_uim_get_file_attributes_input_get_response_in_indication_token ()
gboolean | qmi_message_uim_get_file_attributes_input_set_response_in_indication_token ()
gboolean | qmi_message_uim_get_file_attributes_input_get_file ()
gboolean | qmi_message_uim_get_file_attributes_input_set_file ()
gboolean | qmi_message_uim_get_file_attributes_input_get_session ()
gboolean | qmi_message_uim_get_file_attributes_input_set_session ()
QmiMessageUimGetFileAttributesOutput * | qmi_message_uim_get_file_attributes_output_ref ()
void | qmi_message_uim_get_file_attributes_output_unref ()
gboolean | qmi_message_uim_get_file_attributes_output_get_card_result ()
gboolean | qmi_message_uim_get_file_attributes_output_get_result ()
gboolean | qmi_message_uim_get_file_attributes_output_get_file_attributes ()
gboolean | qmi_message_uim_get_file_attributes_output_get_response_in_indication_token ()
void | qmi_client_uim_get_file_attributes ()
QmiMessageUimGetFileAttributesOutput * | qmi_client_uim_get_file_attributes_finish ()

## Types and Values

| QmiMessageUimGetFileAttributesInput
| QmiMessageUimGetFileAttributesOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimGetFileAttributesInput
        ╰── QmiMessageUimGetFileAttributesOutput

## Description

## Functions

### qmi_message_uim_get_file_attributes_input_new ()

    QmiMessageUimGetFileAttributesInput *
    qmi_message_uim_get_file_attributes_input_new
                                   (void);

Allocates a new QmiMessageUimGetFileAttributesInput.

#### Returns

the newly created QmiMessageUimGetFileAttributesInput. The returned value should be freed with `qmi_message_uim_get_file_attributes_input_unref()`.

Since: 1.6

### qmi_message_uim_get_file_attributes_input_ref ()

    QmiMessageUimGetFileAttributesInput *
    qmi_message_uim_get_file_attributes_input_ref
                                   (QmiMessageUimGetFileAttributesInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_uim_get_file_attributes_input_unref ()

    void
    qmi_message_uim_get_file_attributes_input_unref
                                   (QmiMessageUimGetFileAttributesInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |

Since: 1.6

### qmi_message_uim_get_file_attributes_input_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_get_file_attributes_input_get_response_in_indication_token
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_input_set_response_in_indication_token ()

    gboolean
    qmi_message_uim_get_file_attributes_input_set_response_in_indication_token
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    guint32 value_response_in_indication_token,
                                    GError **error);

Set the 'Response In Indication Token' field in the message.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_response_in_indication_token | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_input_get_file ()

    gboolean
    qmi_message_uim_get_file_attributes_input_get_file
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    guint16 *value_file_file_id,
                                    GArray **value_file_file_path,
                                    GError **error);

Get the 'File' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_file_file_id | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_file_file_path | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_input_set_file ()

    gboolean
    qmi_message_uim_get_file_attributes_input_set_file
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    guint16 value_file_file_id,
                                    GArray *value_file_file_path,
                                    GError **error);

Set the 'File' field in the message.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_file_file_id | a guint16. |
value_file_file_path | a GArray of guint8 elements. A new reference to `value_file_file_path` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_input_get_session ()

    gboolean
    qmi_message_uim_get_file_attributes_input_get_session
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    QmiUimSessionType *value_session_session_type,
                                    GArray **value_session_application_identifier,
                                    GError **error);

Get the 'Session' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_session_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out][optional]
value_session_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_uim_get_file_attributes_input_set_session ()

    gboolean
    qmi_message_uim_get_file_attributes_input_set_session
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    QmiUimSessionType value_session_session_type,
                                    GArray *value_session_application_identifier,
                                    GError **error);

Set the 'Session' field in the message.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_session_session_type | a QmiUimSessionType. |
value_session_application_identifier | a GArray of guint8 elements. A new reference to `value_session_application_identifier` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_uim_get_file_attributes_output_ref ()

    QmiMessageUimGetFileAttributesOutput *
    qmi_message_uim_get_file_attributes_output_ref
                                   (QmiMessageUimGetFileAttributesOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetFileAttributesOutput. |

#### Returns

the new reference to `self` .

Since: 1.6

### qmi_message_uim_get_file_attributes_output_unref ()

    void
    qmi_message_uim_get_file_attributes_output_unref
                                   (QmiMessageUimGetFileAttributesOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetFileAttributesOutput. |

Since: 1.6

### qmi_message_uim_get_file_attributes_output_get_card_result ()

    gboolean
    qmi_message_uim_get_file_attributes_output_get_card_result
                                   (QmiMessageUimGetFileAttributesOutput *self,
                                    guint8 *value_card_result_sw1,
                                    guint8 *value_card_result_sw2,
                                    GError **error);

Get the 'Card result' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesOutput. |
value_card_result_sw1 | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_card_result_sw2 | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_output_get_result ()

    gboolean
    qmi_message_uim_get_file_attributes_output_get_result
                                   (QmiMessageUimGetFileAttributesOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimGetFileAttributesOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_output_get_file_attributes ()

    gboolean
    qmi_message_uim_get_file_attributes_output_get_file_attributes
                                   (QmiMessageUimGetFileAttributesOutput *self,
                                    guint16 *value_file_attributes_file_size,
                                    guint16 *value_file_attributes_file_id,
                                    QmiUimFileType *value_file_attributes_file_type,
                                    guint16 *value_file_attributes_record_size,
                                    guint16 *value_file_attributes_record_count,
                                    QmiUimSecurityAttributeLogic *value_file_attributes_read_security_attributes_logic,
                                    QmiUimSecurityAttribute *value_file_attributes_read_security_attributes,
                                    QmiUimSecurityAttributeLogic *value_file_attributes_write_security_attributes_logic,
                                    QmiUimSecurityAttribute *value_file_attributes_write_security_attributes,
                                    QmiUimSecurityAttributeLogic *value_file_attributes_increase_security_attributes_logic,
                                    QmiUimSecurityAttribute *value_file_attributes_increase_security_attributes,
                                    QmiUimSecurityAttributeLogic *value_file_attributes_deactivate_security_attributes_logic,
                                    QmiUimSecurityAttribute *value_file_attributes_deactivate_security_attributes,
                                    QmiUimSecurityAttributeLogic *value_file_attributes_activate_security_attributes_logic,
                                    QmiUimSecurityAttribute *value_file_attributes_activate_security_attributes,
                                    GArray **value_file_attributes_raw_data,
                                    GError **error);

Get the 'File Attributes' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesOutput. |
value_file_attributes_file_size | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_file_attributes_file_id | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_file_attributes_file_type | a placeholder for the output QmiUimFileType, or `NULL` if not required. | [out][optional]
value_file_attributes_record_size | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_file_attributes_record_count | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
value_file_attributes_read_security_attributes_logic | a placeholder for the output QmiUimSecurityAttributeLogic, or `NULL` if not required. | [out][optional]
value_file_attributes_read_security_attributes | a placeholder for the output QmiUimSecurityAttribute, or `NULL` if not required. | [out][optional]
value_file_attributes_write_security_attributes_logic | a placeholder for the output QmiUimSecurityAttributeLogic, or `NULL` if not required. | [out][optional]
value_file_attributes_write_security_attributes | a placeholder for the output QmiUimSecurityAttribute, or `NULL` if not required. | [out][optional]
value_file_attributes_increase_security_attributes_logic | a placeholder for the output QmiUimSecurityAttributeLogic, or `NULL` if not required. | [out][optional]
value_file_attributes_increase_security_attributes | a placeholder for the output QmiUimSecurityAttribute, or `NULL` if not required. | [out][optional]
value_file_attributes_deactivate_security_attributes_logic | a placeholder for the output QmiUimSecurityAttributeLogic, or `NULL` if not required. | [out][optional]
value_file_attributes_deactivate_security_attributes | a placeholder for the output QmiUimSecurityAttribute, or `NULL` if not required. | [out][optional]
value_file_attributes_activate_security_attributes_logic | a placeholder for the output QmiUimSecurityAttributeLogic, or `NULL` if not required. | [out][optional]
value_file_attributes_activate_security_attributes | a placeholder for the output QmiUimSecurityAttribute, or `NULL` if not required. | [out][optional]
value_file_attributes_raw_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_message_uim_get_file_attributes_output_get_response_in_indication_token ()

    gboolean
    qmi_message_uim_get_file_attributes_output_get_response_in_indication_token
                                   (QmiMessageUimGetFileAttributesOutput *self,
                                    guint32 *value_response_in_indication_token,
                                    GError **error);

Get the 'Response In Indication Token' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesOutput. |
value_response_in_indication_token | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.6

### qmi_client_uim_get_file_attributes ()

    void
    qmi_client_uim_get_file_attributes (QmiClientUim *self,
                                        QmiMessageUimGetFileAttributesInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Get File Attributes request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_get_file_attributes_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimGetFileAttributesInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.6

### qmi_client_uim_get_file_attributes_finish ()

    QmiMessageUimGetFileAttributesOutput *
    qmi_client_uim_get_file_attributes_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_get_file_attributes()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_get_file_attributes()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimGetFileAttributesOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_get_file_attributes_output_unref()`.

Since: 1.6

## Types and Values

### QmiMessageUimGetFileAttributesInput

    typedef struct _QmiMessageUimGetFileAttributesInput QmiMessageUimGetFileAttributesInput;

The QmiMessageUimGetFileAttributesInput structure contains private data and should only be accessed using the provided API.

Since: 1.6

### QmiMessageUimGetFileAttributesOutput

    typedef struct _QmiMessageUimGetFileAttributesOutput QmiMessageUimGetFileAttributesOutput;

The QmiMessageUimGetFileAttributesOutput structure contains private data and should only be accessed using the provided API.

Since: 1.6